#include "partition.h"

#include <bits/stdc++.h>

using namespace std;

std::vector<int> solve(std::vector<int> A) {
    
    int n = A.size();

    if(n % 2 == 0) {
        vector<int> ans;
        for(int i = 0; i <= n - i - 1; i++) {
            ans.push_back(n - i - 1);
            if(i != n - i - 1) ans.push_back(i);
        }
        return ans;
    }
    else {
        vector<int> ans;
        ans.push_back((n + 1) / 2 - 1);
        for(int i = 0; i < n - i - 1; i++) {
            ans.push_back(n - i - 1);
            ans.push_back(i);
        }
        return ans;
    }
}